Bug 203650 - Eliminate merges by better Commit dialog UI
Eliminate merges by better Commit dialog UI
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
7.1
Other Linux
: P3 (vote)
: 7.4
Assigned To: Ondrej Vrabec
issues@versioncontrol
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-13 12:54 UTC by Jaroslav Tulach
Modified: 2013-03-23 01:57 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2011-10-13 12:54:54 UTC
NetBeans Hg repository is poluted by merges - a result of everyone using "hg fetch". We would have nicer repository structure if we could teach people to use "hg pull; hg ci; hg push" atomically. 

I think the best way to teach them is to modify the UI of the commit dialog in NetBeans. While people are typing the commit message, it could check the repository and if there are some outstanding commits, it could offer to do "hg pull" before commit.
Comment 1 Ondrej Vrabec 2011-11-21 13:12:03 UTC
And what about a user has already committed something before (there are upstream and local commits)? Than you don't want to do pull because you'll get two heads and will be forced to do either merge or rebase manually. In that case i suggest there's no warning.
Comment 2 Ondrej Vrabec 2013-03-21 17:42:36 UTC
fixed: core-main #5286e95d50ed
However i don't think it will help and be of any use to NB developers because just to determine if there are any incoming changes and a warning should be displayed now takes about a minute. By that time the developer will have committed his work, maybe even twice.
Comment 3 Quality Engineering 2013-03-23 01:57:22 UTC
Integrated into 'main-golden', will be available in build *201303222300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/5286e95d50ed
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #203650 - Eliminate merges by better Commit dialog UI
displaying a warning message when there are incoming changes to be pulled from a remote repository


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo